Package Details: ant 0.1.1-4

Git Clone URL: https://aur.archlinux.org/ant.git (read-only)
Package Base: ant
Description: GTK+ based network tool to grapchical creating TCP/IP frames.
Upstream URL: http://ant.sourceforge.net/
Licenses: GPL
Submitter: None
Maintainer: arthurzam
Last Packager: arthurzam
Votes: 31
Popularity: 1.259656
First Submitted: 2007-09-17 10:13
Last Updated: 2016-05-08 19:21

Latest Comments

fnogueira commented on 2016-05-04 19:33

I found one problem:

URL should not be an array

In code, I remove the parenthesis in url line:

url="http://ant.sourceforge.net/"

Everything all right.

mar04 commented on 2015-01-27 19:27

Thanks, updated and orphaned since I'm not using it.

MikeDacre commented on 2015-01-27 19:02

You need to include libpcap as a dependency:

/usr/bin/ld: cannot find -lpcap

Anonymous comment on 2014-01-31 18:30

solved, editing PKGBUILD to:
# Maintainer: Marek Wardzinski <emvi@emvi.NO.eu.SPAM.org>
# Contributor: Bartosz Dusilo <cbreaker@tlen.pl>
pkgname=ant
pkgver=0.1.1
pkgrel=2
pkgdesc="GTK+ based network tool to grapchical creating TCP/IP frames."
url=("http://ant.sourceforge.net/")
source=(http://downloads.sourceforge.net/ant/ant-0.1.1.tar.bz2)
depends=('gtk2' 'libnet' 'libpcap')
arch=('i686' 'x86_64')
license=('GPL')
md5sums=('05d2d300af6770f4ec80bb6ec971d3cd')
build() {
cd $srcdir/$pkgname
LDFLAGS='-lm' make || return 1
mkdir -p $pkdir/usr/bin
install -D -m655 $srcdir/ant/ant \
$pkgdir/usr/bin/ant
}

BUT this bin collides with apache-ant from Extra-Repository !

Anonymous comment on 2014-01-31 18:07

solved, editing PKGBUILD to:
# Maintainer: Marek Wardzinski <emvi@emvi.NO.eu.SPAM.org>
# Contributor: Bartosz Dusilo <cbreaker@tlen.pl>
pkgname=ant
pkgver=0.1.1
pkgrel=2
pkgdesc="GTK+ based network tool to grapchical creating TCP/IP frames."
url=("http://ant.sourceforge.net/")
source=(http://downloads.sourceforge.net/ant/ant-0.1.1.tar.bz2)
depends=('gtk2' 'libnet' 'libpcap')
arch=('i686' 'x86_64')
license=('GPL')
md5sums=('05d2d300af6770f4ec80bb6ec971d3cd')
build() {
cd $srcdir/$pkgname
LDFLAGS='-lm' make || return 1
mkdir -p $pkdir/usr/bin
install -D -m655 $srcdir/ant/ant \
$pkgdir/usr/bin/ant
}

Anonymous comment on 2014-01-31 17:30

changed PKGBUILD to
# Maintainer: Marek Wardzinski <emvi@emvi.NO.eu.SPAM.org>
# Contributor: Bartosz Dusilo <cbreaker@tlen.pl>
pkgname=ant
pkgver=0.1.1
pkgrel=2
pkgdesc="GTK+ based network tool to grapchical creating TCP/IP frames."
url=("http://ant.sourceforge.net/")
source=(http://downloads.sourceforge.net/ant/ant-0.1.1.tar.bz2)
depends=('gtk2' 'libnet' 'libpcap')
arch=('i686' 'x86_64')
license=('GPL')
md5sums=('05d2d300af6770f4ec80bb6ec971d3cd')
build() {
cd $srcdir/$pkgname
LDFLAGS='-lm' make || return 1
mkdir -p $pkdir/usr/bin
install -D -m655 $srcdir/ant/ant \
$pkgdir/usr/bin/ant
}

with good results :)
$ pacman -Ql ant
ant /usr/
ant /usr/bin/
ant /usr/bin/ant

Anonymous comment on 2014-01-31 17:06

changing "make || return 1" to "LDFLAGS='-lm' make || return 1" works for x86_64.. BUT ant-0.1.1-2-x86_64.pkg.tar.xz seems to be faulty, .MTREE is empty
and pacman -U will install a package with 0 MB/no files

Anonymous comment on 2012-01-27 21:42

thx calrama, that worked for me, too!

calrama commented on 2012-01-26 11:13

@Ralfk: Same problem with me (x86), but the solution is already in the error:
"is defined in DSO /lib/libm.so.6 so try adding it to the linker command line"
So if you do just that and change the PKGBUILD line

make || return 1

to

LDFLAGS='-lm' make || return 1

the package builds fine.

ant builds

Anonymous comment on 2012-01-16 16:53

/usr/bin/ld: gui-GTK_handlers.o: undefined reference to symbol 'floor@@GLIBC_2.2.5'
/usr/bin/ld: note: 'floor@@GLIBC_2.2.5' is defined in DSO /lib/libm.so.6 so try adding it to the linker command line
/lib/libm.so.6: could not read symbols: Invalid operation
collect2: ld gab 1 als Ende-Status zurück
make[1]: *** [ant] Fehler 1
make[1]: Leaving directory `/tmp/yaourt-tmp-ralf/aur-ant/src/ant/src'
make: *** [ALL] Fehler 2

this happens every time... machine is x86_64..

All comments